## com.google.appengine.api.datastore
Class EntityProtoComparators

    java.lang.Object
      com.google.appengine.api.datastore.EntityProtoComparators

    public final class EntityProtoComparators

extends java.lang.Object

Utilities for comparing `OnestoreEntity.EntityProto`. This class is only public because the dev appserver needs access to it. It should not be accessed by user code.

Nested Class Summary
`static class` `EntityProtoComparators.EntityProtoComparator`

Field Summary
`static java.util.Comparator<java.lang.Comparable<java.lang.Object>>` `MULTI_TYPE_COMPARATOR`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTI_TYPE_COMPARATOR

    public static final java.util.Comparator<java.lang.Comparable<java.lang.Object>> MULTI_TYPE_COMPARATOR